# DrupalOrg CrossSite

This module contains functionality shared across the different *.drupal.org
sites (www.drupal.org, api.drupal.org, events.drupal.org...).

Some features can be disabled per site, like SSO.

Some settings can be overriden in the `settings.ENV.php` file of each project.

## Cookie consent copy

The module provides a default value, but you can change it like this:
You can set the following on the *settings* file if you want to override:
```php
$config['drupalorg_crosssite']['consent_copy'] = [
  'message' => t('Can we use first and third party...'),
  'yes' => t('Yes, please'),
  'no' => t('No, do not track me'),
  'status' => t('You are currently <b class="opted-in">opted in</b><b class="opted-out">opted out</b>.'),
];
```

## SSO

You can change this value via the UI or set it via *settings* too.
You can disable SSO integration for the site like this:
```php
$config['drupalorg_crosssite.settings']['disable_sso'] = TRUE;
```

## Footer block

The module provides a footer block with all the needed links for *.drupal.org sites.
