<?php

namespace Drupal\drupalorg_crosssite\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;

/**
 * Class to build *.Drupal.org Search form.
 */
class DrupalOrgSearchForm extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'drupalorg_search_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['query'] = [
      '#title' => t('Search'),
      '#type' => 'textfield',
    ];
    $form['actions']['submit'] = [
      '#type' => 'submit',
      '#value' => t('Search'),
    ];

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $path = \Drupal::service('path.current')->getPath();
    $params = explode('/', $path);
    $url = Url::fromUserInput('/search/' . ($params[2] ?? 'site') . '/' . $form_state->getValue('query'));
    $form_state->setRedirectUrl($url);
  }

}
